Package org.springframework.web.servlet.mvc.method.annotation

# Class MatrixVariableMapMethodArgumentResolver

java.lang.Object
org.springframework.web.servlet.mvc.method.annotation.MatrixVariableMapMethodArgumentResolver

All Implemented Interfaces:
  `org.springframework.web.method.support.HandlerMethodArgumentResolver`

public class MatrixVariableMapMethodArgumentResolver extends Object implements org.springframework.web.method.support.HandlerMethodArgumentResolver
Resolves arguments of type `Map` annotated with `@MatrixVariable` where the annotation does not specify a name. In other words the purpose of this resolver is to provide access to multiple matrix variables, either all or associated with a specific path variable.

When a name is specified, an argument of type Map is considered to be a single attribute with a Map value, and is resolved by `MatrixVariableMethodArgumentResolver` instead.

Since:
  3.2
Author:
  Rossen Stoyanchev

## Constructor Summary

Constructors
Constructor
Description
`MatrixVariableMapMethodArgumentResolver()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`resolveArgument(org.springframework.core.MethodParameter parameter, org.springframework.web.method.support.ModelAndViewContainer mavContainer, org.springframework.web.context.request.NativeWebRequest request, org.springframework.web.bind.support.WebDataBinderFactory binderFactory)`
`boolean`
`supportsParameter(org.springframework.core.MethodParameter parameter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatrixVariableMapMethodArgumentResolver

public MatrixVariableMapMethodArgumentResolver()

## Method Details

### supportsParameter

public boolean supportsParameter(org.springframework.core.MethodParameter parameter)

Specified by:
  `supportsParameter` in interface `org.springframework.web.method.support.HandlerMethodArgumentResolver`

### resolveArgument

@Nullable public Object resolveArgument(org.springframework.core.MethodParameter parameter, @Nullable org.springframework.web.method.support.ModelAndViewContainer mavContainer, org.springframework.web.context.request.NativeWebRequest request, @Nullable org.springframework.web.bind.support.WebDataBinderFactory binderFactory) throws Exception

Specified by:
  `resolveArgument` in interface `org.springframework.web.method.support.HandlerMethodArgumentResolver`
Throws:
  `Exception`